Subject: bug#64875: closed (Re: [bug#64875] [PATCH v2 3/5] gnu: Add xsv.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 16 Oct 2023 09:39:02 +0000

Your bug report

#64875: [PATCH 0/4] Adding xsv

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64875: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64875
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#64875] [PATCH v2 3/5] gnu: Add xsv.
From: Efraim Flashner <[email-masked]>
To: Wilko Meyer <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 16 Oct 2023 12:37:50 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks. Patches pushed.

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: [PATCH 0/4] Adding xsv
From: Wilko Meyer <[email-masked]>
To: [email-masked]
Cc: Wilko Meyer <[email-masked]>
Date: Wed, 26 Jul 2023 17:49:11 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

I'd like to add xsv, which is a csv cli toolkit, to guix packages. It
has two dependencies, rust-chan-0.1 and rust-filetime-0.1, which I've
added in this patch series as well. As this is my first time adding
something to guix packages I tried to be as close to the guix manual as
possible, please let me know if there's still something missing/if
there's something I can do to further improve the quality of my patches.

Best Regards,

Wilko Meyer

Wilko Meyer (4):
  gnu: Added rust-chan-0.1.
  gnu: Added rust-filetime-0.1 variant.
  gnu: Added xsv.
  gnu: Added copyright information.

 gnu/packages/crates-io.scm | 40 ++++++++++++++++++++++++++++++++++++++
 gnu/packages/rust-apps.scm | 36 ++++++++++++++++++++++++++++++++++
 2 files changed, 76 insertions(+)

base-commit: e05dcecd0df49a397aba49585a626cae16a6306c
-- 
2.41.0